<h2>My Private Boards [<span class="count">{{private.length}}</span>/<span class="limit">3</span>]</h2>
<div class="boards">
    <a ng-repeat="board in userBoards | filter:{visibility:'private'} as private" class="boardLink" ng-href="{{'#/boards/' + board.code}}">
        <div class="board-preview">
            <button title="Delete" type="button" class="close delete"  ng-click="deleteBoard(board, $event)" ng-href="#/my-boards">
                    <span>&times;</span>
            </button>
            <h4>{{ board.name }} <span class="code">[{{ board.code }}]</span></h4>
            <p>
                This board is <b>{{ board.visibility }}</b> <br>                
                {{ board.created_at }}
            </p>
        </div>    
    </a>
</div>
<h2>My Shared Boards [<span class="count">{{shared.length}}</span>/<span class="limit">6</span>]</h2>
<div class="boards">
    <a ng-repeat="board in userBoards | filter:{visibility:'shared'} as shared" class="boardLink" ng-href="{{'#/boards/' + board.code}}">
        <div class="board-preview">
            <button title="Delete" type="button" class="close delete"  ng-click="deleteBoard(board, $event)" ng-href="#/my-boards">
                    <span>&times;</span>
            </button>
            <h4>{{ board.name }} <span class="code">[{{ board.code }}]</span></h4>
            <p>
                This board is <b>{{ board.visibility }}</b> <br>                
                {{ board.created_at }}
            </p>
        </div>    
    </a>
</div>
<h2>My Public Boards [<span class="count">{{public.length}}</span>/<span class="limit">9</span>]</h2>
<div class="boards">
    <a ng-repeat="board in userBoards | filter:{visibility:'public'} as public" class="boardLink" ng-href="{{'#/boards/' + board.code}}">
        <div class="board-preview">
            <button title="Delete" type="button" class="close delete"  ng-click="deleteBoard(board, $event)" ng-href="#/my-boards">
                    <span>&times;</span>
            </button>
            <h4>{{ board.name }} <span class="code">[{{ board.code }}]</span></h4>
            <p>
                This board is <b>{{ board.visibility }}</b> <br>                
                {{ board.created_at }}
            </p>
        </div>    
    </a>
</div>
<h2>Linked Boards [<span class="count">{{user.linked_boards.length}}</span>/<span class="limit">*</span>]</h2>
<div class="boards">
    <a ng-repeat="linked in user.linked_boards " class="boardLink" ng-href="{{'#/boards/' + linked.board.code + '-' + linked.secret}}">
        <div class="board-preview">
            <button title="Delete" type="button" class="close delete"  ng-click="deleteLinkedBoard(linked, $event)" ng-href="#/my-boards">
                    <span>&times;</span>
            </button>
            <h4>{{ linked.board.name }} <span class="code">[{{ linked.board.code }}]</span></h4>
            <p>
                This board is <b>{{ linked.board.visibility }}</b> <br>                
                {{ linked.board.created_at }}
            </p>
        </div>    
    </a>
</div>

<a class="btn btn-primary" href="#/new-board">New board</a>